Python client lib for PostgreSQL8

Gerhard Haering gh at ghaering.de
Thu Nov 18 14:53:11 CET 2004


On Thu, Nov 18, 2004 at 01:58:48PM +0100, Peter Maas wrote:
> I just tried to connect to a PostgreSQL8 beta2 database server with
> pyPgSQL 2.4 and got a libpq.DatabaseError telling "Ivalid format for
> PgVersion construction".
> 
> Is there already a PyPgSQL version in CVS or another client library
> that handles PostgreSQL 8?

Oh, I wanted to fix that since some time ago.

Attached is a quick, completely untested try. If it doesn't work like this, you
should get the idea how to make it work ;-)

-- Gerhard
-------------- next part --------------
A non-text attachment was scrubbed...
Name: quickfix.dif
Type: video/x-dv
Size: 1027 bytes
Desc: not available
URL: <http://mail.python.org/pipermail/python-list/attachments/20041118/2801bba6/attachment.bin>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 196 bytes
Desc: Digital signature
URL: <http://mail.python.org/pipermail/python-list/attachments/20041118/2801bba6/attachment.pgp>


More information about the Python-list mailing list